{
    "compilerOptions": {
        "types": ["vuepress-types"],
        "target": "es6",                            // Specify ECMAScript target version: 'ES3' (default), 'ES5', 'ES2015', 'ES2016', 'ES2017', 'ES2018', 'ES2019' or 'ESNEXT'.
        "module": "commonjs",                       // Specify module code generation: 'none', 'commonjs', 'amd', 'system', 'umd', 'es2015', or 'ESNext'.
        "rootDir": "./docs",
//        "outDir": "./lib",                          // 编译后生成的文件目录
        "strict": true,                             // 开启严格的类型检测
        "declaration": true,                        // 生成 `.d.ts` 文件
        "experimentalDecorators": true,             // 开启装饰器
        "removeComments": true,                     // 去除注释
        "noImplicitAny": true,                      // 在表达式和声明上有隐含的 any类型时报错。
        "esModuleInterop": true,                    // 支持别名导入
        "moduleResolution": "node"                  // 此处设置为node,才能解析import xx from 'xx'
    },
    "include": ["docs/.vuepress/**/*.ts", "docs/.vuepress/**/*.vue"],
    "exclude": ["node_modules"]
}
